import { Router } from "express";

import * as IAMControllerEL from "../controllers/IAMControllerEL";
import verifyAPIKey from "../middleware/verifyAPIKey";

const iamRoutesEL = Router();

iamRoutesEL.post(
  "/iam/horacius/createUser",
  verifyAPIKey,
  IAMControllerEL.createUser
);

iamRoutesEL.put(
  "/iam/horacius/updateUser",
  verifyAPIKey,
  IAMControllerEL.updateUser
);

iamRoutesEL.delete(
  "/iam/horacius/deleteUser",
  verifyAPIKey,
  IAMControllerEL.deleteUser
);

iamRoutesEL.get(
  "/iam/horacius/listAllUsers",
  verifyAPIKey,
  IAMControllerEL.listAllUsers
);

iamRoutesEL.get(
  "/iam/horacius/checkUser",
  verifyAPIKey,
  IAMControllerEL.checkUser
);

iamRoutesEL.patch(
  "/iam/horacius/linkUserAndUserRight",
  verifyAPIKey,
  IAMControllerEL.linkUserAndUserRight
);
 
iamRoutesEL.post(
  "/iam/horacius/linkUserAndUserRight",
  verifyAPIKey,
  IAMControllerEL.checkUserRight
);

iamRoutesEL.patch(
  "/iam/horacius/resetPassword",
  verifyAPIKey,
  IAMControllerEL.resetPassword
);

export default iamRoutesEL;
